Bug 172205 - games/ceferino fails to build using clang
Summary: games/ceferino fails to build using clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-01 12:20 UTC by Miklos Magyari
Modified: 2013-03-24 05:40 UTC (History)
0 users

See Also:


Attachments
file.diff (523 bytes, patch)
2012-10-01 12:20 UTC, Miklos Magyari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Magyari 2012-10-01 12:20:01 UTC
games/ceferino fails to build using clang:

[...snip...]

In file included from barra.cc:30:
In file included from ./procesos.h:30:
In file included from ./pelota.h:29:
In file included from ./juego.h:31:
./nivel.h:37:50: error: must use 'class' tag to refer to type 'grafico' in this scope
                void iniciar(juego *_pjuego, grafico *grafico, grafico *pfondos, SDL_Surface *fondo);
                                                               ^
                                                               class
1 error generated.
gmake[2]: *** [barra.o] Error 1
gmake[2]: Leaving directory `/usr/ports/games/ceferino/work/ceferino-0.97.8/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/games/ceferino/work/ceferino-0.97.8'
gmake: *** [all] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/games/ceferino.
*** [build] Error code 1

Stop in /usr/ports/games/ceferino.

Fix: A patch is needed to src/nivel.h

So a "files/" directory should be added for the port, with the following file inside the directory:

# cat files/patch-src::nivel.h
How-To-Repeat: # cd /usr/ports/games/ceferino
# make
Comment 1 Edwin Groothuis freebsd_committer 2012-10-01 12:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2013-03-24 05:32:31 UTC
State Changed
From-To: open->closed

- Committed thanks!!
Comment 3 dfilter service freebsd_committer 2013-03-24 05:32:32 UTC
Author: acm
Date: Sun Mar 24 05:32:19 2013
New Revision: 315098
URL: http://svnweb.freebsd.org/changeset/ports/315098

Log:
  - Fix build using clang
  - Bump PORTREVISION
  
  PR:             172205
  Submitted by:   Miklos Magyari <magyarimiki  _at_ gmail.com>

Added:
  head/games/ceferino/files/
  head/games/ceferino/files/patch-src_nivel.h   (contents, props changed)
Modified:
  head/games/ceferino/Makefile

Modified: head/games/ceferino/Makefile
==============================================================================
--- head/games/ceferino/Makefile	Sun Mar 24 05:09:32 2013	(r315097)
+++ head/games/ceferino/Makefile	Sun Mar 24 05:32:19 2013	(r315098)
@@ -7,7 +7,7 @@
 
 PORTNAME=	ceferino
 PORTVERSION=	0.97.8
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	games
 MASTER_SITES=	http://www.losersjuegos.com.ar/_media/juegos/ceferino/descargas/
 

Added: head/games/ceferino/files/patch-src_nivel.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/ceferino/files/patch-src_nivel.h	Sun Mar 24 05:32:19 2013	(r315098)
@@ -0,0 +1,11 @@
+--- src/nivel.h	2005-06-24 13:00:26.000000000 -0500
++++ src/nivel.h	2013-03-24 00:23:03.000000000 -0500
+@@ -34,7 +34,7 @@
+ class nivel
+ {
+ 	public:
+-		void iniciar(juego *_pjuego, grafico *grafico, grafico *pfondos, SDL_Surface *fondo);
++		void iniciar(juego *_pjuego, grafico *grafico, class grafico *pfondos, SDL_Surface *fondo);
+ 		int avanzar_nivel(int salto = 1);
+ 		int reiniciar_nivel(void);
+ 		int get_dist_suelo(int x, int y, int max);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"